%define         betarel        beta15

Summary:        Hard Drive Temperature Monitoring
Name:           hddtemp
Version:        0.3 
Release:        %mkrel 0.%{betarel}.5
License:        GPL
Group:          Monitoring        
URL:            http://www.guzu.net/linux/hddtemp.php
Source0:        http://download.savannah.nongnu.org/releases/hddtemp/hddtemp-%{version}-%{betarel}.tar.bz2
Source1:        http://download.savannah.nongnu.org/releases/hddtemp/hddtemp-%{version}-%{betarel}.tar.bz2.sig
Source2:        http://www.guzu.net/linux/hddtemp.db
Source3:        hddtemp.init
Source4:        hddtemp.sysconfig
Source5:        hddtemp.pam
Source6:        hddtemp.consoleapp
Patch0:         hddtemp-0.3-beta15-no-verify-sata-magics.patch
Patch1:         hddtemp-hddtemp-db-wd-re-160.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:       usermode-consoleonly
BuildRequires:  gettext
BuildRequires:  perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
hddtemp is a tool that gives you the temperature of your IDE or SCSI 
hard drive (that support this feature) by reading S.M.A.R.T.
information. Only modern hard drives have a temperature sensor.

%prep
%setup -q -n hddtemp-%{version}-%{betarel}
%patch0 -p1
%{__cp} -a %{SOURCE2} hddtemp.db
%patch1 -p0

%build
%{configure2_5x} --with-db-path=%{_sysconfdir}/hddtemp.db
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall}

%{__install} -m 0644 hddtemp.db -D %{buildroot}%{_sysconfdir}/hddtemp.db
%{__install} -m 0755 %{SOURCE3} -D %{buildroot}%{_initrddir}/hddtemp
%{__install} -m 0644 %{SOURCE4} -D %{buildroot}%{_sysconfdir}/sysconfig/hddtemp
%{__mkdir_p} %{buildroot}%{_bindir}
%{__ln_s} consolehelper %{buildroot}%{_bindir}/hddtemp
%{__install} -m 0644 %{SOURCE5} -D %{buildroot}%{_sysconfdir}/pam.d/hddtemp
%{__install} -m 0644 %{SOURCE6} -D %{buildroot}%{_sysconfdir}/security/console.apps/hddtemp

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
%_post_service hddtemp

%preun
%_preun_service hddtemp

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%doc ChangeLog README TODO contribs
%attr(0755,root,root) %{_bindir}/hddtemp
%attr(0755,root,root) %{_initrddir}/hddtemp
%attr(0755,root,root) %{_sbindir}/hddtemp
%config(noreplace) %{_sysconfdir}/hddtemp.db
%config(noreplace) %{_sysconfdir}/sysconfig/hddtemp
%config(noreplace) %{_sysconfdir}/pam.d/hddtemp
%config(noreplace) %{_sysconfdir}/security/console.apps/hddtemp
%{_mandir}/man8/hddtemp.8*


%changelog
* Mon Feb 05 2007 David Walluck <walluck@mandriva.org> 0.3-0.beta15.5mdv2007.0
+ Revision: 116179
- add sources
- add patch for SATA under newer kernels
  add patch for WD Caviar RE 160 GB in hddtemp.db
  update source URL
  add tarball signature
  more consistent file list
  macros
- Import hddtemp



* Thu Sep 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3-0.beta15.4mdv2007.0
- clean initscript (should fix #25694)

* Mon Aug 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3-0.beta15.3mdv2007.0
- add /dev/hda to sysconfig file (modifies S3, fixes #18421)
- cosmetics

* Sun Jul 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3-0.beta15.2mdv2007.0
- add two new disks (updated S1, from Pierre Jarillon)

* Sun May 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.beta15.1mdv2007.0
- 0.3-0beta15
- new S1

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.3-0.beta14.5mdk
- split Requires(X,Y)
- fix typo in initscript

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.3-0.beta14.4mdk
- fix copy/paste suckiness in initscript

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 0.3-0.beta14.3mdk
- convert parallel init to LSB
- fix requires(post,preun)

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 0.3-0.beta14.2mdk
- Add parallel init stuff

* Mon Oct 03 2005 Lenny Cartier <lenny@mandriva.com> 0.3-0.beta14.1mdk
- beta14

* Tue Mar 15 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.3-0.beta12.2mdk
- update hddtemp.db
- remove suid bit
- add init script, config file and pam/consolehelper from fedora
- add gettext into buildrequires

* Thu Feb 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3-0.beta12.1mdk
- 0.3-beta12
- update url
- update hddtemp.db
- don't ship license file as it's GPL

* Thu Mar 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3-0.beta11.1mdk
- 0.3-beta11

* Sat Aug 30 2003 Ben Reser <ben@reser.org> 0.3-0.beta8.2mdk
- use right path for hddtemp.db (CLOSES BUG 5047)

* Fri Aug 29 2003 Ben Reser <ben@reser.org> 0.3-0.beta8.1mdk
- 0.3.0-beta8
- macroize
- rm buildroot in %%install not %%prep
- updated hddtemp.db

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3-0.beta7.2mdk
- rebuild

* Mon Jul 07 2003 Ben Reser <ben@reser.org> 0.3-0.beta7.1mdk
- 0.3-beta7
- Updated hddtemp.db
- Fixed typo in description (found by Vincent Meyer)
- Updated description to mention SCSI since it supposedly
  supports SCSI drives now.
- Updated URL
- Redo build since it now has a configure script.
- Add i18n files.
- Add ChangeLog files to docs.

* Wed Apr 30 2003 Ben Reser <ben@reser.org> 0.3-0.beta6.1mdk
- 0.3-beta6
- Updated hddtemp.db
- Remove enoent patch, integrated upstream

* Sat Mar 08 2003 Ben Reser <ben@reser.org> 0.3-0.beta4.1mdk
- 0.3-beta4
- Updated hddtemp.db

* Fri Jan 24 2003 Ben Reser <ben@reser.org> 0.3-0.beta3.1mdk
- 0.3-beta3

* Mon Jan 13 2003 Ben Reser <ben@reser.org> 0.3-0.beta2.2mdk
- Make hddtemp setuid so users can use it.  Useful for using
  the gkrellm plugin.

* Sun Jan 12 2003 Ben Reser <ben@reser.org> 0.3-0.beta2.1mdk
- First package built for Mandrake 9.0
